﻿function CreateExam(divId, jsonData, submit) {
     if (typeof (jsonData) != "object") return;

    //填充区域的div对象
    var divObj = document.getElementById(divId);

    if (jsonData.length > 2) {
        var HTML = '';
        for (var i = 2; i < jsonData.length; i++) {
            HTML += '<table cellpadding="0" cellspacing="0" border="0" class="exam">';
            HTML += '<tr><td colspan="2">';
            HTML += jsonData[i]["F149"];    //题目
            HTML += '</td></tr>';

            var mode;   //选项模式
            if (jsonData[i]["F1228"] == "1") {
                mode = "checkbox";
            }
            else {
                mode = "radio";
            }

            for (var j = 0; j <= 9; j++) {  //选项内容
                var field= "F34" + j;
                if (jsonData[i][field] != "") {
                    HTML += '<tr>';
                    HTML += '<td valign="top" style="width:30px;">';
                    HTML += '<input type="' + mode + '" name="ques' + (i - 1) + '" value="' + j + '" />';
                    HTML += '</td>';
                    HTML += '<td valign="top" onclick="SelectExam(\'ques' + (i - 1) + '\',\'' + j + '\');">';
                    HTML += jsonData[i][field];
                    HTML += '</td>';
                    HTML += '</tr>';
                }
            }
            HTML += '</table>';
        }

        HTML += '<input type="button" style="'; //提交按钮
        HTML += 'width:90%;margin:10px 5%;';
        HTML += '"';
        HTML += ' value="';
        HTML += '提&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;交';
        HTML += '"';
        if (typeof (submit) == "string" && submit != "") {
            HTML += ' onclick="' + submit + '();"';
        }
        HTML += ' />';

        divObj.innerHTML = HTML;
    }
    else {
        var HTML = '<div style="width:100%;padding-top:10%;text-align:center;font-size:18px;">';
        HTML += '未查询到数据...';
        HTML += '</div>';
        divObj.innerHTML = HTML;
    }
}

function SelectExam(name, value) {
    if ($('input:checkbox[name=' + name + ']').length > 0) {
        if ($('input:checkbox[name=' + name + ']')[value].checked) {
            $('input:checkbox[name=' + name + ']')[value].checked = false;
        }
        else {
            $('input:checkbox[name=' + name + ']')[value].checked = true;
        }
    }
    else if ($("input:radio[name=" + name + "]").length > 0) {
        for (i = 0; i < $("input:radio[name=" + name + "]").length; i++) {
            $('input:radio[name=' + name + ']')[i].checked = false;
        }
        $('input:radio[name=' + name + ']')[value].checked = true;
    }
}

function GetExamResult(divId) {
    var divObj = document.getElementById(divId);
    var tab = divObj.getElementsByTagName("table");
    var result = "";
    var empty = "";
    for (var i = 0; i < tab.length; i++) {
        var tr = tab[i].getElementsByTagName("tr");
        var value = "";
        for (var j = 1; j < tr.length; j++) {
            var input = tr[j].getElementsByTagName("td")[0].getElementsByTagName("input")[0];
            if (input.checked) {
                value += input.value;
            }
        }
        if (value == "") {
            empty += (i + 1) + "、";
        }
        result += value + ";";
    }
    if (empty != "") {
        return { "ErrorCode": 1, "Data": empty.substr(0, empty.length - 1) };
    }
    return { "ErrorCode": 0, "Data": result };
}