﻿/*
 var userAgent = navigator.userAgent.toLowerCase();

 browser = {
 version: (userAgent.match(/.+(?:rv|it|ra|ie)[\/: ]([\d.]+)/) || [0, '0'])[1],
 safari: /webkit/.test(userAgent),
 opera: /opera/.test(userAgent),
 msie: /msie/.test(userAgent) && !/opera/.test(userAgent),
 mozilla: /mozilla/.test(userAgent) && !/(compatible|webkit)/.test(userAgent)
 }
 */

/*
 * IOS函数桥接
 */
var IOS_Bridge = {

	callbacksCount : 1,
	callbacks : {},

	resultForCallback : function resultForCallback(callbackId, resultArray) {
		try {
			var callback = IOS_Bridge.callbacks[callbackId];
			if (!callback) {
				return;
			}
			callback.apply(null, resultArray);
		} catch(e) {
			alert(e);
		}
	},

	/*
	 * functionName: 调用函数名称
	 * args:json 格式参数
	 * callback 回调函数，可有可无
	 */
       //IOS_Bridge.call("Get_Ret", $("#jjdm_txt").val() , "GetZhlb", _formid);
	call : function call(functionName, args, funcID, frameID, callback) {

		var hasCallback = callback && typeof callback == "function";
		var callbackId = hasCallback ? IOS_Bridge.callbacksCount++ : 0;

		if (hasCallback) {
			IOS_Bridge.callbacks[callbackId] = callback;
		}
		var iframe = document.createElement("IFRAME");
		iframe.setAttribute("src", "js-frame:" + functionName + ";;" + callbackId + ";;" + frameID + ";;" + funcID + ";;" + args);
		//encodeURIComponent(JSON.stringify(args)));
		document.documentElement.appendChild(iframe);
		iframe.parentNode.removeChild(iframe);
		iframe = null;

	}
};

/***************************************************/

/*
 * 获取设备信息
 */
function Return_DevInfo() {
	window.tdxJy_java.Andorid_DevInfo();
}

/*
 * 获取IF src信息
 */
function Return_Fmsrc() {
	window.tdxJy_java.Andorid_Src();
}

/*
 * 获取FUNCID
 */
function Return_FunID() {
	window.tdxJy_java.Andorid_FUNCID();
}

/*
 * 获取Gddm信息
 */
function Return_Gddm() {
	window.tdxJy_java.Andorid_Gddm();
}

/*
 * 获取Style信息
 */
function Return_Style() {
	window.tdxJy_java.Andorid_Style();
}

/*
 * 获取Wtfs信息
 */
function Return_Wtfs() {
	window.tdxJy_java.Andorid_Wtfs();
}

/*
 * 获取Dpi信息
 */
function Return_Dpi() {
	window.tdxJy_java.Andorid_Dpi();
}

/*
 * 交易请求
 * formid：主框架ID
 * funcid：功能ID
 * taget：”JY“
 * length：数据长度
 * _data：json数据值
	if (_mob_system == "IOS") {
		IOS_Bridge.call("Get_Ret", $("#jjdm_txt").val() , "GetZhlb", _formid);
	} else {
		Send_Wt(_formid, 'FuncID:GetZhlb', 'JY', 1, $("#jjdm_txt").val());
	}
 */


function Send_Wt(formid, funcid, taget, length, _data) {
	window.tdxJy_java.Android_SendJyData(formid, funcid, taget, length, _data);
}

/***************************************************/
/*
 * 返回硬件信息
 */
function Get_Dev(_json) {
	Frame_Split(_json);
}

/*
 * 返回IF src信息
 */
function Get_Src(_text) {
	Frame_Src(_text);
}

/*
 * 返回FunID信息
 */
function Get_FunID(_text) {
	Frame_FunID(_text);
}

/*
 * 返回Gddm信息
 */
function Get_Gddm(_text) {
	Frame_Gddm(_text);
}

/*
 * 返回Style信息
 */
function Get_Style(_text) {
	Frame_Style(_text);
}

/*
 * 返回webview 高度、宽度
 */
function Get_Size(_text) {
	Frame_Size(_text);
}

/*
 * 返回Style信息
 */
function Get_Wtfs(_text) {
	Frame_Wtfs(_text);
}
 
/*
 * 交易应答
 * formid：框架ID
 * funcid：功能号ID
 * flagtype：0：成功 ，1：失败
 * _data：返回的json 数据
 */
function Get_Ret(formid, funcid, flagtype, _data) {
	window.frames["Main_Frame"].Cmd_Sel(formid, funcid, flagtype, _data);
}

// /*
// * 页面跳转
// * _url: 地址
// */
// function Ref_url(_url) {
// window.tdxJy_java.Android_Loc_ref(_url);
// }
//
// function IOS_Ref_url(_url) {
// window.frames["Main_Frame"].src = _url;
// }

function Ref_url(_url) {
	location.href = _url;
}

/*
 * 定义 IXContent
 */
var IXContent = function() {
	this.ret = "";
	this.retlength = 0;
};

IXContent.prototype = {
	Set : function(k, v) {
		if ($.trim(k) == "") {
			alert("当前键对获取为NULL，不予录入，请输入键值对");
			return;
		} else {
			this.ret += ",{\"" + k + "\":\"" + v + "\"}";
			this.retlength++;
		}
	},

	Length : function() {
		return this.retlength;
	},

	Value : function() {
		this.ret = '[' + this.ret.substr(1) + ']';
		// alert("tt:" + this.ret);
		return this.ret;
	}
};

function stringToBytes(str) {
	var ch, st, re = [];
	for (var i = 0; i < str.length; i++) {
		ch = str.charCodeAt(i);
		st = [];
		do {
			st.push(ch & 0xFF);
			ch = ch >> 8;
		} while (ch);
		re = re.concat(st.reverse());
	}
	return re;
}

var request = {
	QueryString : function(val) {
		var url = window.location.search;
		var re = new RegExp("" + val + "=([^&?]*)", "ig");
		return ((url.match(re)) ? (url.match(re)[0].substr(val.length + 1)) : null);
	}
};

/*
 * 获取url信息
 */
function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) {

		return unescape(r[2]);
	}
	return null;
}

/*
 * 返回币种信息
 */
function Return_BZ(rid) {

	var bz = "";

	switch(rid) {
		case "0":
			bz = "人民币";
			break;

		case "1":
			bz = "美元";
			break;

		case "2":
			bz = "港币";
			break;
	}

	return bz;
}

/*
 * 是否显示输入密码框
 */
function Show_mcdd(sid) {

	var _sid = sid.split('-');

	switch(_sid[3]) {
		case "0":
			//都不显示
			$("#yh_div").css({
				"display" : "none"
			});
			$("#zj_div").css({
				"display" : "none"
			});
			break;

		case "1":
			//银行密码
			$("#yh_div").css({
				"display" : ""
			});
			$("#zj_div").css({
				"display" : "none"
			});
			break;

		case "2":
			//资金密码
			$("#yh_div").css({
				"display" : "none"
			});
			$("#zj_div").css({
				"display" : ""
			});
			break;

		default :
			//都显示
			$("#yh_div").css({
				"display" : ""
			});
			$("#zj_div").css({
				"display" : ""
			});
			break;
	}
}

/*
 * 解析提交的应答
 */
function Return_Reply(_json) {
	var _ret = "";

	for (var i = 2; i < _json.length; i++) {
		$.each(_json[0], function(n, m) {

			if (m == "0") {
				if (_json[i][n] != "") {
					_ret += _json[1][n] + ":" + _json[i][n];
				}
			}
		});
	}

	return _ret;
}

/*
 * 获取股东名称
 */
function Return_Gdmc(gdid) {
	var GDMC = "";

	switch (gdid) {
		case "0":
			GDMC = "深A";
			break;

		case "1":
			GDMC = "沪A";
			break;

		case "2":
			GDMC = "深B";
			break;

		case "3":
			GDMC = "沪B";
			break;

		case "12":
			GDMC = "三板A";
			break;

		case "13":
			GDMC = "三板B";
			break;
		case "40":
		  GDMC = "沪H";
			break;
		case "41":
		  GDMC = "深H";
			break;			
	}
	return GDMC;

}

/*
 * 自定义样式
 */
function setStyle(_style) {
	var css = document.createElement('style');
	css.setAttribute('type', 'text/css');
	// var cssText = 'label{color:Red;font-size:;} input[type="button"]{font-size:;}';
	var cssText = _style;
	if (css.styleSheet) {// IE
		css.styleSheet.cssText = cssText;
	} else {
		css.appendChild(document.createTextNode(cssText));
	}
	document.getElementsByTagName("head")[0].appendChild(css);
}

/*
 * 设置主题
 */
function setTheme(_theme) {

	if (_theme.length > 0) {
		
		var themeHref = "../css/" + _theme + ".css";
		$("#csslink").attr("href", themeHref);
	}
}

//计算天数差的函数，通用  
function  DateDiff(sDate1,  sDate2){    
   var  aDate,  oDate1,  oDate2,  iDays  
   aDate  =  sDate1.split("-")  
   oDate1  =  new  Date(aDate[1]  +  '-'  +  aDate[2]  +  '-'  +  aDate[0])    
   aDate  =  sDate2.split("-")  
   oDate2  =  new  Date(aDate[1]  +  '-'  +  aDate[2]  +  '-'  +  aDate[0])  
   iDays  =  parseInt(Math.abs(oDate1  -  oDate2)  /  1000  /  60  /  60  /24)    //把相差的毫秒数转换为天数  
   return  iDays  
}

