/*
 * 全局变量
 */
var _formid = this.parent._main.frameId;
var _mob_system = this.parent._main.Mob_System;
var _funid = getQueryString("funcid");
var _wtfs = this.parent._main.wtfs;     // 委托方式;
var _gddm = this.parent._main.gddm;
var _sclx = "0";                        // 委托方式(和买卖标志相关)、市价委托方式、市场类型 由102返回，202使用
// var _gddm = "0-A13213123|1-B123123123"; // 测试数据，应由回调传入

// 滚动条位置
var _curr_page = 1;
var _page1_x = 0;
var _page1_y = 0;
var _page2_x = 0;
var _page2_y = 0;

// 关键字
var key1 = getQueryString("key1");
var keys1 = [];
if (key1 != null) {
    keys1 = key1.split("|");
}

// 数据缓存
var _dataCache = [];

var ascdm="";
var azqdm="";
var awtbh="";	
var ammbz="";
var azqmc="";
var agddm="";

// 设备类型
// _mob_system = "IOS";

//==================================设置==================================
/*
 * 框架手势控制
 */
var myScroll;

if (_mob_system == "IOS") {
    //  快速点击
    window.addEventListener('load', function() {
        var btn_tj = document.getElementById('btn_tj');
        FastClick.attach(btn_tj);
    }, false);

    $(window).resize(function() {
        var divcss = {
            width : $(window).width(),
            height : $(window).height()
        };
        $("#activity_pane").css(divcss);
        Show_CD(_dataCache);
    });

} else {

    function loaded() {

        myScroll = new iScroll('wrapper', {
            // useTransition : true,
            //checkDOMChanges : true // 根据Dom变化，自动调节滚动条
        });
    }

    document.addEventListener('touchmove', function(e) {
        e.preventDefault();
    }, false);

    document.addEventListener('DOMContentLoaded', function() {
        setTimeout(loaded, 300);
    }, false);

    $(window).resize(function() {
        myScroll._resize();
        var divcss = {
            width : $(window).width(),
            height : $(window).height()
        };
        $("#activity_pane").css(divcss);
        Show_CD(_dataCache);
    });
}

// 设置loading 蒙板
var divcss = {
	width : $(window).width(),
	height : $(window).height()
};
$("#activity_pane").css(divcss);

//==================================查询==================================
/*
 * 查询
 */
function Query() {

	$('#activity_pane').showLoading();

	// setTimeout("Show_CD(_json)", 3000);

	/* ETF上海跨境当日委托查询 2962
	const WORD tdxETFSHKJDRWTCXFieldReq[]=
	{
	TDX_ID_KHH,					// 客户号
	TDX_ID_JYMM,				// 交易密码
	TDX_ID_ZJZH,					// 资金帐号(支持多资金帐号时送,否则送空)
	TDX_ID_ZHLB,					// (保留)帐号类别
	TDX_ID_GDDM,				// (保留)股东代码
	TDX_ID_OP_WTFS,				// 委托方式

	TDX_ID_XT_STARTPOS,			// 查询起始序号

	};*/
	// 请求示例：02363435|6NYVUNymCwk=||1|A232980636|WSWT|P|0|111|002|127.0.0.1||Windows XP Professional Service Pack 3 (Build 2600)|NAME=|
	//           02363435|************|02363435|||SJWT|0|0|111|02||3;;40FC89876E45;20140104_MOTO_MZ606_12_3.1;ZSZQ_GPAD;3.11;40FC89876E45;|||
 
	var ix = new IXContent();
	
	ix.Set("F125","1");  //账号类别
	
	ix.Set("F110", "SJWT"); // 委托方式
	
	ix.Set("F1207", "0");   // 起始序号
	
	var icent = ix.Value();

	if (_mob_system == "IOS") {
		IOS_Bridge.call("Get_Ret", icent, "2962", _formid);
	} else {
		Send_Wt(_formid, 'FuncID:2962', 'JY', ix.Length(), icent);
	}
}

/*
 * 列表
 */
function Show_CD(_json) {
    // 无数据
    if (_json.length <= 2) {
        $("#list_div_m").html("<div class='tip-div'>未查询到数据...</div>");
        $('#activity_pane').hideLoading();
        return;
    }

    // 有数据
    var winWidth = 100;

    var eleCnt = Math.floor($(window).width() / winWidth);
    // 每行最大元素个数
    var cnt0 = 0;
    // 当前元素个数
    var eleWidth = winWidth;

    $.each(_json[0], function(n, m) {
        if (m == "0") {++cnt0;
        }
    });

    if (eleCnt >= cnt0) {
        eleWidth = (100.0 / cnt0) + "%";
    } else {
        eleWidth = (100.0 / eleCnt) + "%";
    }

    var _htmlstr = "<nav><ul><li><div class='div-line'>";
    // 填充标题栏
    var cnt1 = 0;
    var keys2 = [];
    var keys2Index = 0;
    var eleCnt1 = eleCnt;
    if (eleCnt < cnt0) {
        eleCnt1 = eleCnt - 1;
    }

    $.each(keys1, function(n, m) {

        if (cnt1 >= eleCnt1) {
            return false;
        }

        if (_json[0][m] == "0") {

            _htmlstr += "<div class='li_divL' style='width:" + eleWidth + "'><b>" + _json[1][m] + "</b></div>";
            keys2[keys2Index] = m;
            keys2Index++; ++cnt1;
        }
    });

    if (eleCnt > cnt1) {

        $.each(_json[1], function(n, m) {

            if (cnt1 >= eleCnt1) {
                return false;
            }

            if ($.inArray(n, keys1) != -1) {
                return true;
            }

            if (_json[0][n] == "0") {
                _htmlstr += "<div class='li_divL' style='width:" + eleWidth + "'><b>" + _json[1][n] + "</b></div>";
                keys2[keys2Index] = n;
                keys2Index++; ++cnt1;
            }
        });

        cnt1 = eleCnt;
    }

    if (eleCnt < cnt0) {
        _htmlstr += "<div  class='li_divR' style='width:" + eleWidth + "'><b>" + "详情 " + "</b></div>";
    }

    _htmlstr += "</div></li>";

    for (var i = 2; i < _json.length; i++) {

        _htmlstr += "<li id='li_" + i + "'><div class='div-line'>";

        // 填充前 cnt1个关键字段
        $.each(keys2, function(index, val) {

            if (index >= keys2Index) {
                return false;
            }
            
            // 币种转换
            if (val == "F132") {
                    _json[i][val] = Return_BZ(_json[i][val]);
            }
            
            if (_json[i].F147 == "已撤") {
                 _htmlstr += "<div class='li_divL'  style='width:" + eleWidth + "' onclick='Submit_Ts()'>" + _json[i][val] + "</div>";
            } else {
                _htmlstr += "<div class='li_divL'  style='width:" + eleWidth + "' onclick=\"Submit('" + _json[i].F100 + "','" + _json[i].F140 + "','" + _json[i].F146 + "','" + _json[i].F130 + "','" + _json[i].F141 + "','" + _json[i].F123 +"')\">" + _json[i][val] + "</div>";
            }
        });

        if (eleCnt < cnt0) {
            _htmlstr += "<div  id='detailButton1" + i + "' onclick='Toggle(" + i + ")' class='li_divR' style='width:" + eleWidth + "'>&nbsp; " + "<input type='button' value='∨' id='detailImg" + i + "'/>" + "&nbsp; </div>";
        }
        _htmlstr += "</div>";
        _htmlstr += "<div id='detailDiv1" + i + "' class='detail-div1'><span class='sp1'> <span class='sp2'> </span> </span></div><div id='detailDiv2" + i + "' class='detail-div2'>";

         var cnt3 = 1;
        $.each(_json[0], function(n, m) {

            if (m == "0") {

                if ($.inArray(n, keys2) != -1) {
                    return true;
                }

                // 币种转换
                if (n == "F132") {
                    _json[i][n] = Return_BZ(_json[i][n]);
                }

                // 填充后继隐藏字段
                var val = _json[i][n] == "" ? "&nbsp;" : _json[i][n];
                
                if(cnt3 == 1){
                    _htmlstr += "<div class='div-line'>";
                }
                
                if(cnt3 == eleCnt){
                    _htmlstr += "</div>";
                    cnt3 = 1;
                }else{
                    ++cnt3;
                }
                
                _htmlstr += "<div class='li_divL' style='width:" + eleWidth + "'>" + _json[1][n] + "<br />" + val + "</div>";           
                
            }
        });

        _htmlstr += "</div></div></li>";
    }

    $('#list_div_m').html(_htmlstr + "</ul></nav>");

    $('#activity_pane').hideLoading();

    _page2_x = 0;
    _page2_y = 0;
    if (_mob_system == "IOS") {
        $("#wrapper").scrollLeft(0);
        $("#wrapper").scrollTop(0);
    } else {
	    setTimeout("myScroll.scrollTo(0, 0, 100, false)", 300);   	 
       // myScroll.scrollTo(0, 0, 100, false);
    }
}

/*
 * 详情展开/隐藏
 */
function Toggle(index) {
    if ($("#detailImg" + index).val() == "∨") {
        $("#detailImg" + index).val("∧");
        $("#detailDiv1" + index).css("display", "block");
        $("#detailDiv2" + index).css("display", "block");

    } else {
        $("#detailImg" + index).val("∨");
        $("#detailDiv1" + index).css("display", "none");
        $("#detailDiv2" + index).css("display", "none");
    }

    if (_mob_system != "IOS") {
    	myScroll.refresh();
        myScroll._resize();
    }
}

//==================================操作==================================
/*
 * 提交提示（已撤单）
 */
function Submit_Ts() {
	alert("不能对已撤单的项再次撤单");
}

/*
 * 提交
 */
function Submit(scdm,zqdm,wtbh,mmbz,zqmc,gddm) {
	
	ascdm=scdm;
	azqdm=zqdm;
	awtbh=wtbh;	
    ammbz=mmbz;
    azqmc=zqmc;
    agddm=gddm;
    
	var msg ='<p style="text-align:left">操作类别： '+ '撤单' +'</p>';

    msg +='<p style="text-align:left">证券代码： '+ azqdm +'&nbsp;&nbsp;'+ azqmc +'</p>';

    msg +='<p style="text-align:left">合同编号： '+ awtbh +'</p>';

    document.getElementById("pp").innerHTML=msg;
    
    $.blockUI({ 
    	message: $('#dialog'),			
        css: {
            padding : '0',
            margin : '0',
            width : ($(window).width() - 40  > 320) ? (320 + 'px') : ($(window).width() - 40 + 'px'),
            top:'10%',
            left : ($(window).width() - 40  > 320) ? (($(window).width() - 320) / 2 + 'px') : '20px',
            textAlign : 'center',
            color : '#000',
            border : 'none',
            backgroundColor : '#fff',
            cursor : 'wait',
            radius : '10px',
            '-webkit-border-radius' : '10px',
            '-moz-border-radius' : '10px'	
	}}); 

}


/*
 * 确定按钮
 */
function  YES() { 
   $.blockUI({message:  '<img src="../images/loading-frt.png" />', css: { 
			    border: 'none', 
				padding: '15px', 
				backgroundColor: '#000', 
				'-webkit-border-radius': '10px', 
				'-moz-border-radius': '10px', 
				opacity: .5, 
				color: '#fff' 
   }});
   
   setTimeout(function() { 
        $.unblockUI({ 
            onUnblock: function(){ 
				   
					/*// 委托撤单 200
					const WORD tdxWTCDFieldReq[]=
					{
						TDX_ID_KHH,					// 客户号
						TDX_ID_JYMM,				// 交易密码
						TDX_ID_ZJZH,				// 资金帐号(支持多资金帐号时送,否则送空)
						TDX_ID_ZHLB,				// (保留)帐号类别(股东类别)
						TDX_ID_GDDM,				// 股东代码
						TDX_ID_OP_WTFS,				// 操作方式                    SJWT
					
						TDX_ID_SCFLAG,				// 市场代码(必送,不要用TDX_ID_ZHLB)    1( F100 )  
						TDX_ID_ZQDM,				// 证券代码                                                      519888( F140 )
						TDX_ID_CZBZ,				// (保留)操作标志
						TDX_ID_WTBH,				// 委托编号(为空撤全部委托)            228( F146 )
					
						TDX_ID_HYDM,				// (废弃,期货)合约代码
						TDX_ID_CDSL,				// (期货)撤单数量
						TDX_ID_XWDM,				// 席位代码
						TDX_ID_XTZXH,				// (期货)系统中心号
					
						TDX_ID_WTRQ,				// 委托日期
					
						TDX_ID_MMBZ,				// 买卖标志(0-限价买入 1-限价卖出 'C'-市价买入 ...)      45( F130 )
						TDX_ID_TBBZ,				// (期货)投保标志
						TDX_ID_KPBZ,				// (期货)开平标志
						TDX_ID_WTSL,				// (期货)委托数量
						TDX_ID_WTJG,				// (期货)委托价格
					
						TDX_ID_HTBH,				// 合同编号
						TDX_ID_ZJMM,				// 资金密码(港股--可能用作下单密码)
						TDX_ID_WTSJ,				// 委托时间
						TDX_ID_CJSJ,				// 成交时间
						TDX_ID_XT_PARAM,			// 参数(接口约定,客户端从"撤单查询"/"当日委托查询"取出,原封送回)
						TDX_ID_CJSX,				// 成交属性(客户端从"撤单查询"/"当日委托查询"取出,原封送回)
					};				
					*/	
			//02363435|6NYVUNymCwk=|||A232980636|WSWT|1|519888||228||||||45|||||||||||0|111|002|10.254.254.20||Windows XP Professional Service Pack 3 (Build 2600)|NAME=|
		    
		    //02363435|6NYVUNymCwk=|02363435|||  SJWT|1|519888||264||||||45|||||||||||0|111|02||3;;40FC89876E45;20140104_MOTO_MZ606_12_3.1;ZSZQ_GPAD;3.11;40FC89876E45;|||
					var ix = new IXContent();
					
					ix.Set("F123", agddm); // 股东代码 
					
					ix.Set("F110", "SJWT");// 委托方式
					
					ix.Set("F100", ascdm);// 市场代码

					ix.Set("F140", azqdm);// 证券代码

					ix.Set("F146", awtbh);// 委托编号
					
					ix.Set("F130", ammbz);// 买卖标志

					var icent = ix.Value();
	
					if (_mob_system == "IOS") {
						IOS_Bridge.call("Get_Ret", icent, "200", _formid);
					} else {
						Send_Wt(_formid, 'FuncID:200', 'JY', ix.Length(), icent);
					}														
             } 
         }); 
     }, 2000);    
}

/*
 * 取消按钮
 */
function  NO() { 
    $.unblockUI();
    return false; 
}; 



//==================================应答==================================
/*
 * 应答返回
 */
function Cmd_Sel(formid, funcid, flagtype, _json) {
	//先判定 框架ID是否相同
	if (formid == _formid) {
		//判断是否成功
		if (flagtype == '0') {
			// ETF上海跨境当日委托查询 2962
			if (funcid == "2962") {
				/*应答示例：
				0|0|1|0|0|0|0|0|0|1|0|1|1
				0_ F141 | 1_ F5556 | 2_ F130 | 3_ F144 | 4_ F147 | 5_ F143 | 6_ F146 | 7_ F140 | 8_ F123 | 9_ F100 | 10_ F5568 | 11_ F168 | 12_ F1213
				0_证券名称| 1_业务类别| 2_买卖标志 | 3_委托数量 | 4_状态说明 | 5_委托时间 | 6_委托编号 | 7_证券代码 | 8_股东代码 | 9_市场标志| 10_ 委托方式说明  |11_可撤单标志 | 12_调试信息
    //应答实例：添富快线|产品赎回|45|10000.00|未报|16:19:27|228|519888|A232980636|1|网上委托|1||
				添富快线|产品申购|45|10000.00|未报|16:18:58|226|519888|A232980636|1|网上委托|1||
				*/
				_dataCache = _json.concat();
				Show_CD(_json);
	 			
	 			//$('#activity_pane').hideLoading();

			} else {
				
				alert('您的申请已提交');
				// 刷新列表
				/* ETF上海跨境当日委托查询 2962
				const WORD tdxETFSHKJDRWTCXFieldReq[]=
				{
				TDX_ID_KHH,					// 客户号
				TDX_ID_JYMM,				// 交易密码
				TDX_ID_ZJZH,				// 资金帐号(支持多资金帐号时送,否则送空)
				TDX_ID_ZHLB,				// (保留)帐号类别
				TDX_ID_GDDM,				// (保留)股东代码
				TDX_ID_OP_WTFS,				// 委托方式

				TDX_ID_XT_STARTPOS,			// 查询起始序号
				};*/
				// 请求示例：116019518|08mne9MFhPQ=||1|A707550118|8|P|100||CWet||0001067a|S1VZJ9DSA10341|8EA8F11E-E1F2-4F6F-8120-02775A2|3c11ad1f9158af5095417950ef79ddb3|||011000011266|192.168.0.70||0|
				var ix = new IXContent();
				ix.Set("F110", "SJWT");// 委托方式
				
				ix.Set("F1207", "0");// 起始序号

				var icent = ix.Value();

				if (_mob_system == "IOS") {
					IOS_Bridge.call("Get_Ret", icent, "2962", _formid);
				} else {
					Send_Wt(_formid, 'FuncID:2962', 'JY', ix.Length(), icent);
				}
			}

		} else {

			$('#activity_pane').hideLoading();
			alert('错误信息：' + _json.Error);
		}
	} else {
		alert('框架ID不同');
	}
}

  Query();

//--------------------------测试数据---------------------------------
/*
 var _json = [{
  'F141':'0','F5556':'0','F130':'1','F144':'0','F147':'0','F143':'0',
  'F146':'0','F140':'0','F123':'0','F100':'1','F5568':'0','F168':'1','F1213':'1'
 }, 
 {
 "F141" : "委托时间","F5556" : "股东代码","F130" : "对方席位代码","F144" : "成交数量","F147" : "委托日期",
 "F143" : "交易类型","F146" : "证券名称","F140" : "帐号类别","F123" : "对方股东代码","F100" : "ETF名称",
 "F5568" : "委托数量","F168" : "证券代码","F1213" : "ETF代码"
 }, 
 {
 "F141" : "111111","F5556" : "dsdddd","F130" : "159000","F144" : "100","F147" : "20130501",
 "F143" : "1","F146" : "天天利","F140" : "0","F123" : "A1245685","F100" : "布丁",
 "F5568" : "100","F168" : "111111","F1213" : "123456"
 }, 
 {
 "F141" : "22222","F5556" : "ssssss","F130" : "159000","F144" : "100","F147" : "20130501",
 "F143" : "1","F146" : "添富快线","F140" : "0","F123" : "A1245685","F100" : "七天",
 "F5568" : "100","F168" : "111111","F1213" : "123456"
 }]
 _dataCache = _json.concat();
 Show_CD(_json)
 Query();
*/

