﻿//表格创建(折叠式)
function CreateTabFol(colNum, divId, jsonData, clickGg) {
    //填充表格的div对象
    var divObj = document.getElementById(divId);
    if (divObj == null || typeof (jsonData) != "object") return;

    if (colNum < 2) colNum = 2;

    if (jsonData.length > 2) {
        var colTotal = 0;   //总列数
        for (var n in jsonData[0]) {
            var m = jsonData[0][n];
            if (m == "0") {
                colTotal += 1;
            }
        }
        var tabHTML = '<table cellpadding="0" cellspacing="0" border="0" style="width:100%;">';
        for (var i = 1; i < jsonData.length; i++) {
            if (i == 1) {   //表头
                tabHTML += '<tr style="font-size:18px;">';
                var colCnt = 0;
                for (var n in jsonData[i]) {
                    var m = jsonData[i][n];
                    if (jsonData[0][n] == "0") {
                        colCnt += 1;
                        if (colCnt < colNum) {
                            tabHTML += '<td style="white-space:nowrap;padding:0px;height:40px;';
                            tabHTML += '"';
                            tabHTML += ' class="tab_head"';
                            tabHTML += '>';
                            if (colCnt > 1) {
                                tabHTML += '<span style="float:right;position:relative;margin-right:5px;">';
                            }
                            else {
                                tabHTML += '<span style="float:left;position:relative;margin-left:5px;">';
                            }
                            tabHTML += m;
                            tabHTML += '</span>';
                            tabHTML += '</td>';
                        }
                        else if (colTotal >= colNum) {
                            tabHTML += '<td style="white-space:nowrap;padding:0px;height:40px;text-align:right;" class="tab_head">';
                            tabHTML += '<span style="float:right;position:relative;margin-right:5px;">详情</span>';
                            tabHTML += '</td>';
                            break;
                        }
                    }
                }
                tabHTML += '</tr>';
            }
            else {  //表体
                tabHTML += '<tr style="font-size:16px;">';   //列表栏
                var colCnt = 0;
                for (var n in jsonData[i]) {
                    var m = jsonData[i][n];
                    if (jsonData[0][n] == "0") {
                        colCnt += 1;
                        if (colCnt < colNum) {
                            tabHTML += '<td style="white-space:nowrap;padding:0px;height:40px;';
                            tabHTML += '"';
                            tabHTML += ' class="tab_body"';
                            tabHTML += ' onclick="';
                            if (typeof (clickGg) == "string" && clickGg != "") {
                                var json = TabJson(jsonData[i]);
                                tabHTML += 'if(TabCheck(\'' + divId + '\',' + (2 * i - 3) + ')){';
                                tabHTML += clickGg + '(' + json + ')' + '};';
                            }
                            tabHTML += 'TabClickFol(\'' + divId + '\',' + (2 * i - 3) + ');';
                            tabHTML += '"';
                            tabHTML += '>';
                            if (colCnt > 1) {
                                tabHTML += '<span style="float:right;position:relative;margin-right:5px;">';
                            }
                            else {
                                tabHTML += '<span style="float:left;position:relative;margin-left:5px;">';
                            }
                            tabHTML += m;
                            tabHTML += '</span>';
                            tabHTML += '</td>';
                        }
                        else if (colTotal >= colNum) {
                            tabHTML += '<td style="white-space:nowrap;padding:0px;height:40px;" class="tab_body">';
                            tabHTML += '<span style="float:right;position:relative;margin-right:5px;';
                            tabHTML += 'text-align:center;font-size:16px;font-weight:bolder;cursor:pointer;';
                            tabHTML += 'width:25px;height:25px;line-height:25px;';
                            tabHTML += '-webkit-border-radius:25px;';
                            tabHTML += '-moz-border-radius:25px;';
                            tabHTML += 'border-radius:25px;';
                            tabHTML += '"';
                            tabHTML += ' class="tab_btn"';
                            tabHTML += ' onclick="ClickTabDetail(\'' + divId + '\',this,' + (2 * i - 2) + ');"';
                            tabHTML += '>';
                            tabHTML += '∨';
                            tabHTML += '</span>';
                            tabHTML += '</td>';
                            break;
                        }
                    }
                }
                tabHTML += '</tr>';
                if (colTotal >= colNum) {
                    tabHTML += '<tr style="font-size:16px;display:none;">'; //隐藏的列表栏
                    tabHTML += '<td colspan="' + colNum + '" class="tab_hide">';
                    var colCnt = 0;
                    for (var n in jsonData[i]) {
                        var m = jsonData[i][n];
                        if (jsonData[0][n] == "0") {
                            colCnt += 1;
                            if (colCnt >= colNum) {
                                tabHTML += '<div>';
                                tabHTML += '<span class="head_hide">';
                                tabHTML += jsonData[1][n];
                                tabHTML += '</span>';
                                tabHTML += '<br />';
                                tabHTML += '<span class="body_hide">';
                                tabHTML += m;
                                tabHTML += '</span>';
                                tabHTML += '</div>';
                            }
                        }
                    }
                    tabHTML += '</td>';
                    tabHTML += '</tr>';
                }
            }       
        }
        tabHTML += '</table>';
        divObj.innerHTML = tabHTML;

        //扩展表头
        var headTr = divObj.getElementsByTagName("tr")[0];
        var headTd = headTr.getElementsByTagName("td");
        var tab_ex_id = divId + '_tab_ex';
        var tab_ex_width = divObj.getElementsByTagName("table")[0].clientWidth;
        var exHTML = '<table id="' + tab_ex_id + '" cellpadding="0" cellspacing="0" border="0" style="top:0px;position:absolute;';
        exHTML += 'width:' + tab_ex_width + 'px;';
        exHTML += '"';
        exHTML += '>';
        exHTML += '<tr style="font-size:18px;">';
        var colCnt = 0;
        for (var n in jsonData[1]) {
            var m = jsonData[1][n];
            if (jsonData[0][n] == "0") {
                colCnt += 1;
                if (colCnt < colNum) {
                    exHTML += '<td style="white-space:nowrap;padding:0px;height:40px;';
                    exHTML += 'width:' + headTd[colCnt - 1].offsetWidth + 'px;';
                    exHTML += '"';
                    exHTML += ' class="tab_head">';
                    if (colCnt > 1) {
                        exHTML += '<span style="float:right;position:relative;margin-right:5px;">';
                    }
                    else {
                        exHTML += '<span style="float:left;position:relative;margin-left:5px;">';
                    }
                    exHTML += m;
                    exHTML += '</span>';
                    exHTML += '</td>';
                }
                else if (colTotal >= colNum) {
                    exHTML += '<td style="white-space:nowrap;padding:0px;height:40px;text-align:right;';
                    exHTML += 'width:' + headTd[colCnt - 1].offsetWidth + 'px;';
                    exHTML += '"';
                    exHTML += ' class="tab_head"';
                    exHTML += '>';
                    exHTML += '<span style="float:right;position:relative;margin-right:5px;">详情</span>';
                    exHTML += '</td>';
                    break;
                }
            }
        }
        exHTML += '</tr>';
        exHTML += '</table>';
        $("#" + tab_ex_id).remove();
        $("#" + divId).parent().append(exHTML);
    }
    else {
        var tabHTML = '<div style="width:100%;padding-top:10%;text-align:center;font-size:18px;">';
        tabHTML += '未查询到数据...';
        tabHTML += '</div>';
        divObj.innerHTML = tabHTML;
    }

    return jsonData;
}

//详情按钮单击
function ClickTabDetail(divId, btnObj, n) {
    var divObj = document.getElementById(divId);
    var trObj = divObj.getElementsByTagName("tr");
    if (trObj[n].style.display == "none") {
        trObj[n].style.display = "";
        btnObj.innerHTML = "∧";
        var tdCur = trObj[n - 1].getElementsByTagName("td");
        for (var i = 0; i < tdCur.length; i++) {
            tdCur[i].style.borderWidth = "0px";
        }
    }
    else {
        trObj[n].style.display = "none";
        btnObj.innerHTML = "∨";
        var tdCur = trObj[n - 1].getElementsByTagName("td");
        for (var i = 0; i < tdCur.length; i++) {
            tdCur[i].style.borderWidth = "1px";
        }
    }
}

//列表行单击样式变化
function TabClickFol(tab_id, n) {
    var tr = document.getElementById(tab_id).getElementsByTagName("tr");
    for (var i = 1; i < tr.length; i++) {
        tr[i].className = "";
    }
    tr[n].className = "tab_select";
}

//列表行样式检查
function TabCheck(tab_id, n) {
    var curr_tr = document.getElementById(tab_id).getElementsByTagName("tr")[n];
    if (curr_tr.className == "tab_select") {
        return true;
    }
    else {
        return false;
    }
}

//表格数据重组
function TabJson(json) {
    var str = JSON.stringify(json);
    var result = str.substr(1, str.length - 2);
    result = result.replace(/"([^"]*)/g, "'$1");
    result = "{" + result + "}";
    return result;
}