﻿//定义表格手势控制变量(需要iscroll控件)
var tabScroll;
var myScroll;

//表格创建(滚动式)
function CreateTabScr(divId, jsonData, clickGg) {
    //填充表格的div对象
    var divObj = document.getElementById(divId);
    if (divObj == null || typeof (jsonData) != "object") return;

    if (jsonData.length > 2) {
        //区域id设置
        var left_tab_id = divId + "_left_tab"; //左列固定区id
        var right_tab_id = divId + "_right_tab";   //右列固定区id
        var pull_tab_id = divId + "_pull_tab"; //右列拖动区id;
        var first;  //表格第1列对象
        for (first in jsonData[0]) {
            if (jsonData[0][first] == "0") {
                break;
            }
        };

        var tabHTML = '<table cellpadding="0" cellspacing="0" border="0"><tr><td>';

        //固定列html
        tabHTML += '<div id="' + left_tab_id + '" style="float:left;position:relative;';
        tabHTML += '">';
        tabHTML += '<table cellpadding="0" cellspacing="0" border="0" style="float:left;position:relative;">';
        tabHTML += '<tr>';  //表头
        tabHTML += '<td style="white-space:nowrap;padding:0px 5px;height:40px;';
        tabHTML += '"';
        tabHTML += ' class="tab_head"';
        tabHTML += '>';
        var headFirstId = divId + "_head_" + first;
        tabHTML += '<div id="' + headFirstId + '"';
        tabHTML += ' style="float:left;position:relative;height:40px;line-height:40px;font-size:18px;';
        tabHTML += '"';
        tabHTML += '>';
        tabHTML += jsonData[1][first];
        tabHTML += '</div>';
        tabHTML += '</td>';
        tabHTML += '</tr>';
        for (var i = 2; i < jsonData.length; i++) { //表体
            var prefix = divId + '_' + 'Gp_' + (i - 1) + '_';

            tabHTML += '<tr onclick="TabClick(\'' + divId + '\',' + (i - 1) + ')">';
            tabHTML += '<td id="' + prefix + first + '_td' + '"';
            if (typeof (clickGg) == "string" && clickGg != "") {
                var json = TabJson(jsonData[i]);
                tabHTML += ' onclick="';
                tabHTML += 'if(TabCheck(\'' + left_tab_id + '\',' + (i - 1) + ')){';
                tabHTML += clickGg + '(' + json + ')' + '}"';
            }
            tabHTML += ' style="white-space:nowrap;padding:0px 5px;height:40px;';
            tabHTML += '"';
            tabHTML += 'class="tab_body"';
            tabHTML += '>';
            tabHTML += '<div style="float:left;position:relative;font-size:16px;">';
            tabHTML += '<span id="' + prefix + first + '"';
            tabHTML += ' style="height:20px;line-height:20px;';
            tabHTML += 'padding:1px;';
            tabHTML += '-webkit-border-radius:5px;';
            tabHTML += '-moz-border-radius:5px;';
            tabHTML += 'border-radius:5px;';
            tabHTML += 'display:-moz-inline-box;display:inline-block;';
            tabHTML += '"';
            tabHTML += '>';
            tabHTML += jsonData[i][first];
            tabHTML += '</span>';
            tabHTML += '</div>';
            tabHTML += '</td>';
            tabHTML += '</tr>';
        }
        tabHTML += '</table>';
        tabHTML += '</div>';

        tabHTML += '</td><td>';

        //拖动列
        tabHTML += '<div id="' + right_tab_id + '" style="float:left;position:relative;overflow: hidden';
        tabHTML += '">';
        tabHTML += '<table cellpadding="0" cellspacing="0" border="0" id="' + pull_tab_id + '" style="float:left;position:relative;">';
        for (var i = 1; i < jsonData.length; i++) {
            tabHTML += '<tr';
            if (i > 1) {
                tabHTML += ' onclick="';
                tabHTML += 'TabClick(\'' + divId + '\',' + (i - 1) + ');';
                tabHTML += '"';
            }
            tabHTML += '>';
            for (var n in jsonData[i]) {
                var m = jsonData[i][n];
                if (jsonData[0][n] == "0" && n != first) {
                    if (i == 1) {   //表头
                        tabHTML += '<td style="white-space:nowrap;padding:0px 5px;height:40px;';
                        tabHTML += '"';
                        tabHTML += 'class="tab_head"';
                        tabHTML += '>';
                        var headId = divId + "_head_" + n;
                        tabHTML += '<div id="' + headId + '"';
                        tabHTML += ' style="float:right;position:relative;height:40px;line-height:40px;font-size:18px;';
                        tabHTML += '"';
                        tabHTML += '>';
                        tabHTML += '<span style="display:-moz-inline-box;display:inline-block;';
                        tabHTML += '"';
                        tabHTML += '>';
                        tabHTML += m;
                        tabHTML += '</span>';
                        tabHTML += '<span style="display:-moz-inline-box;display:inline-block;';
                        tabHTML += '"';
                        tabHTML += '>';
                        tabHTML += '↓';
                        tabHTML += '</span>';
                        tabHTML += '</div>';
                        tabHTML += '</td>';
                    }
                    else {  //表体
                        var prefix = divId + '_' + 'Gp_' + (i - 1) + '_';
                        tabHTML += '<td id="' + prefix + n + '_td' + '"';
                        if (typeof (clickGg) == "string" && clickGg != "") {
                            var json = TabJson(jsonData[i]);
                            if (isTouchDevice()) {
                                tabHTML += ' ontouchend="';
                            }
                            else {
                                tabHTML += ' onclick="';
                            }
                            tabHTML += 'if(TabCheck(\'' + right_tab_id + '\',' + (i - 1) + ')){';
                            tabHTML += clickGg + '(' + json + ')' + '}"';
                        }
                        tabHTML += ' style="white-space:nowrap;padding:0px 5px;height:40px;';
                        tabHTML += '"';
                        tabHTML += 'class="tab_body"';
                        tabHTML += '>';
                        if(n=="F5702" || n=="F1217"){
	                        tabHTML += '<div style="float:left;position:relative;font-size:16px;">';
                        }else{
	                        tabHTML += '<div style="float:right;position:relative;font-size:16px;">';
                        }
                        tabHTML += '<span id="' + prefix + n + '"';
                        tabHTML += ' style="height:20px;line-height:20px;';
                        tabHTML += 'padding:1px;';
                        tabHTML += '-webkit-border-radius:5px;';
                        tabHTML += '-moz-border-radius:5px;';
                        tabHTML += 'border-radius:5px;';
                        tabHTML += 'display:-moz-inline-box;display:inline-block;';
                        tabHTML += '">';
                        tabHTML += m;
                        tabHTML += '</span>';
                        tabHTML += '</div>';
                        tabHTML += '</td>';
                    }
                }
            }
            tabHTML += "</tr>";
        }
        tabHTML += '</table>';
        tabHTML += '</div>';

        tabHTML += '</td></tr></table>';

        divObj.innerHTML = tabHTML;

        //隐藏所有箭头
        for (var n in jsonData[0]) {
            var m = jsonData[0][n];
            if (m == "0" && n != first) {
                var headId = divId + "_head_" + n;
                var head = document.getElementById(headId);
                var arrow = head.getElementsByTagName("span")[1];
                arrow.style.display = "none";
            }
        }

        //修正表格各区域宽高
       // divObj.style.overflow = "hidden";
        var div_width = divObj.clientWidth;
        var left_tab = document.getElementById(left_tab_id);
        var left_tab_width = left_tab.clientWidth;
        var left_tab_height = left_tab.clientHeight;
        var right_tab = document.getElementById(right_tab_id);
        var right_tab_width = div_width - left_tab_width;
        var right_tab_height = left_tab_height;
        right_tab.style.width = right_tab_width + "px";
        right_tab.style.height = right_tab_height + "px";
        var pull_tab = document.getElementById(pull_tab_id);
        var pull_tab_width = pull_tab.clientWidth;
        if (pull_tab_width < right_tab_width) {
            pull_tab.style.width = right_tab_width + "px";
        }

        //扩展表头左列
        var left_td = left_tab.getElementsByTagName("tr")[0].getElementsByTagName("td")[0];
        var left_tab_ex_id = divId + "_left_tab_ex";
        var exHTML_L = '';
        exHTML_L += '<div id="' + left_tab_ex_id + '"';
        exHTML_L += ' style="top:0px;position:absolute;';
        exHTML_L += '">';
        exHTML_L += '<table cellpadding="0" cellspacing="0" border="0"';
        exHTML_L += ' style="float:left;position:relative;';
        exHTML_L += '">';
        exHTML_L += '<tr>';
        exHTML_L += '<td style="white-space:nowrap;padding:0px 5px;height:40px;';
        exHTML_L += '"';
        exHTML_L += 'class="tab_head"';
        exHTML_L += '>';
        var left_td_div = left_td.getElementsByTagName("div")[0];
        var headFirstExId = left_td_div.id + "_ex";
        exHTML_L += '<div id="' + headFirstExId + '"';
        exHTML_L += ' style="float:left;position:relative;height:40px;line-height:40px;font-size:18px;';
        exHTML_L += 'width:' + (left_td.offsetWidth - 10) + 'px;';
        exHTML_L += '"';
        exHTML_L += '>';
        exHTML_L += jsonData[1][first];
        exHTML_L += '</div>';
        exHTML_L += '</td>';
        exHTML_L += '</tr>';
        exHTML_L += '</table>';
        exHTML_L += '</div>';
        $("#" + left_tab_ex_id).remove();
        $("#" + divId).parent().append(exHTML_L);

        //扩展表头右列
        var right_td = right_tab.getElementsByTagName("tr")[0].getElementsByTagName("td");
        var right_tab_ex_id = divId + "_right_tab_ex";
        var exHTML_R = '';
        exHTML_R += '<div id="' + right_tab_ex_id + '"';
        exHTML_R += ' style="width:' + right_tab.offsetWidth + 'px;';
        exHTML_R += 'top:0px;left:' + left_tab.offsetWidth + 'px;';
        exHTML_R += 'position:absolute;overflow: hidden';
        exHTML_R += '">';
        exHTML_R += '<table cellpadding="0" cellspacing="0" border="0"';
        exHTML_R += ' style="float:left;position:relative;';
        exHTML_R += '">';
        exHTML_R += '<tr>';
        for (var i = 0; i < right_td.length; i++) {
            exHTML_R += '<td style="white-space:nowrap;padding:0px 5px;height:40px;';
            exHTML_R += '"';
            exHTML_R += 'class="tab_head"';
            exHTML_R += '>';
            var right_td_div = right_td[i].getElementsByTagName("div")[0];
            var n = right_td_div.id.substr((divId + "_head_").length);
            var headExId = right_td_div.id + "_ex";
            exHTML_R += '<div id="' + headExId + '"';
            exHTML_R += ' style="float:right;position:relative;height:40px;line-height:40px;font-size:18px;text-align:right;';
            exHTML_R += 'width:' + (right_td[i].offsetWidth - 10) + 'px;';
            exHTML_R += '"';
            exHTML_R += '>';
            exHTML_R += '<span style="display:-moz-inline-box;display:inline-block;';
            exHTML_R += '"';
            exHTML_R += '>';
            exHTML_R += right_td_div.getElementsByTagName("span")[0].innerHTML;
            exHTML_R += '</span>';
            exHTML_R += '<span style="display:-moz-inline-box;display:inline-block;';
            exHTML_R += '"';
            exHTML_R += '>';
            exHTML_R += '↓';
            exHTML_R += '</span>';
            exHTML_R += '</div>';
            exHTML_R += '</td>';
        }
        exHTML_R += '</tr>';
        exHTML_R += '</table>';
        exHTML_R += '</div>';
        $("#" + right_tab_ex_id).remove();
        $("#" + divId).parent().append(exHTML_R);
        for (var n in jsonData[0]) {
            var m = jsonData[0][n];
            if (m == "0" && n != first) {
                var headId = divId + "_head_" + n + "_ex";
                var head = document.getElementById(headId);
                var arrow = head.getElementsByTagName("span")[1];
                arrow.style.display = "none";
            }
        }

        //定义表格手势控制
        tabScroll = new iScroll(right_tab_id, {
            onScrollMove: function () {
                var left = this.x;
                $("#" + right_tab_ex_id + " table:first").css("left", left);
            },
            vScroll: false,
            hScrollbar: false,
            bounce: false,
            momentum: false,
            useTransition: true,
            checkDOMChanges: true //根据Dom变化，自动调节滚动条
        });
        myScroll = new iScroll(divId, {
            vScrollbar: false,
            bounce: false,
            useTransition: true,
            checkDOMChanges: true //根据Dom变化，自动调节滚动条
        });
    }
    else {
        var tabHTML = '<div style="width:100%;padding-top:10%;text-align:center;font-size:18px;">';
        tabHTML += '未查询到数据...';
        tabHTML += '</div>';
        divObj.innerHTML = tabHTML;
    }

    return jsonData;
}

//列表行单击样式变化
function TabClick(divId, n) {
    var left_tab_id = divId + "_left_tab"; //左列固定区id
    var right_tab_id = divId + "_right_tab";   //右列固定区id

    var left_tr = document.getElementById(left_tab_id).getElementsByTagName("tr");
    for (var i = 1; i < left_tr.length; i++) {
        left_tr[i].className = "";
    }
    left_tr[n].className = "tab_select";
    var right_tr = document.getElementById(right_tab_id).getElementsByTagName("tr");
    for (var i = 1; i < right_tr.length; i++) {
        right_tr[i].className = "";
    }
    right_tr[n].className = "tab_select";
}

//列表行样式检查
function TabCheck(tab_id, n) {
    var curr_tr = document.getElementById(tab_id).getElementsByTagName("tr")[n];
    if (curr_tr.className == "tab_select") {
        return true;
    }
    else {
        return false;
    }
}

//表格数据重组
function TabJson(json) {
    var str = JSON.stringify(json);
    var result = str.substr(1, str.length - 2);
    result = result.replace(/"([^"]*)/g, "'$1");
    result = "{" + result + "}";
    return result;
}

//判断是否为移动设备
function isTouchDevice() {
    return !!('ontouchstart' in window);
}